Bug 1006830 - Consoles contain incorrect product name
Consoles contain incorrect product name
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Build (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ---
: EAP 6.2.0
Assigned To: jboss-set
Petr Kremensky
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2013-09-11 06:50 EDT by Nikoleta Ziakova
Modified: 2017-10-09 20:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-10-25 15:33:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nikoleta Ziakova 2013-09-11 06:50:19 EDT
Description of problem:
Branding change in EAP 6.2:
  Full product name: "Red Hat JBoss Enterprise Application Platform"
  Approved abbreviated form: "JBoss EAP"

CLI and Web Console in EAP 6.2.0 ER1 contain incorrect product name: "EAP"

Steps to Reproduce:
1. start server
2. jboss-cli.sh -c command=":read-resource(include-runtime=true, recursive=true, recursive-depth=10)"
3. see output -- line "product-name"

Actual results:
"product-name" => "EAP",

Expected results:
"product-name" => "JBoss EAP",

Additional info:
The same incorrect product name is used in Web Console too.
Comment 1 Brian Stansberry 2013-09-11 16:37:31 EDT
Changing this requires an interaction with all Red Hat products that consume the return value of the org.jboss.as.version.ProductConfig.getProductName() method, as well any products that read the highlighted attribute in the management API. 

Changing the value may constitute a breaking change for some or all of them.

I expect that layered products actually override this value with their own, but I could be wrong.

EAP itself will need minor code changes to deal with the inclusion of "JBoss" in the value, as there are some places where code already prefixes this value with "JBoss ". So doing it in the value itself will result in "JBoss JBoss EAP..." For example, in the server start message in the logs.

Note also that end users theoretically could be counting on the current value of this attribute, and that changing it could be a breaking change for those users.
Comment 4 Paul Gier 2013-10-25 15:33:48 EDT
Closing this as won't fix based on Brian's comments.  We'll probably need a change request if we decide to change this in a future release.
Comment 5 Nikoleta Ziakova 2013-10-31 08:24:09 EDT
Reopening to reconsider for EAP 6.3. I will set the flag once it is available.

Note You need to log in before you can comment on or make changes to this bug.